# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "av1an-core"
version = "0.3.1"
authors = ["Zen <master_of_zen@protonmail.com>"]
description = "Cross-platform command-line AV1 / VP9 / HEVC / H264 encoding framework with per scene quality encoding [Core library]\n"
keywords = ["video"]
categories = ["command-line-utilities"]
license = "GPL-3.0"
repository = "https://github.com/master-of-zen/Av1an"
[dependencies.ansi_term]
version = "0.12.1"

[dependencies.anyhow]
version = "1.0.42"

[dependencies.arrayvec]
version = "0.7.2"

[dependencies.av-format]
version = "0.3.1"

[dependencies.av-ivf]
version = "0.2.2"

[dependencies.av-scenechange]
version = "0.7.2"
default-features = false

[dependencies.cfg-if]
version = "1.0.0"

[dependencies.chrono]
version = "0.4.19"

[dependencies.crossbeam-channel]
version = "0.5.1"

[dependencies.crossbeam-utils]
version = "0.8.5"

[dependencies.dashmap]
version = "5.0.0"
features = ["serde"]

[dependencies.ffmpeg-next]
version = "4.4.0"

[dependencies.indicatif]
version = "0.17.0-rc.1"

[dependencies.itertools]
version = "0.10.1"

[dependencies.log]
version = "0.4.14"

[dependencies.memchr]
version = "2.4.1"

[dependencies.num_cpus]
version = "1.13.0"

[dependencies.once_cell]
version = "1.8.0"

[dependencies.parking_lot]
version = "0.11.2"

[dependencies.paste]
version = "1.0.5"

[dependencies.path_abs]
version = "0.5.1"

[dependencies.plotters]
version = "0.3.1"
features = ["svg_backend", "line_series"]
default-features = false

[dependencies.rand]
version = "0.8.4"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.simdutf8]
version = "0.1.3"

[dependencies.smallvec]
version = "1.7.0"
features = ["const_generics", "const_new", "union"]
default-features = false

[dependencies.splines]
version = "4.0.0"

[dependencies.strsim]
version = "0.10.0"

[dependencies.strum]
version = "0.23.0"
features = ["derive"]

[dependencies.sysinfo]
version = "0.22.3"

[dependencies.textwrap]
version = "0.14.2"

[dependencies.thiserror]
version = "1.0.30"

[dependencies.tokio]
version = "1"
features = ["rt", "process", "io-util"]

[dependencies.vapoursynth]
version = "0.3.0"
features = ["vsscript-functions", "vapoursynth-functions"]

[dependencies.which]
version = "4.1.0"

[dependencies.y4m]
version = "0.7.0"

[features]
ffmpeg_static = ["ffmpeg-next/static", "ffmpeg-next/build"]
vapoursynth_new_api = ["vapoursynth/vapoursynth-api-32", "vapoursynth/vsscript-api-31"]
[target."cfg(any(target_os = \"linux\", target_os = \"windows\"))".dependencies.affinity]
version = "0.1.2"
